<template>
  <div class="postcard-address-container">
    <form @submit.prevent="sendPostcard">
      <label for="name">name</label><br/>
      <input type="text" id="name" name="name" value="name" /><br />
      <label for="lname">e-mail</label><br />
      <input type="email" id="email" name="email" value="your@mail.org" /> <br />
      <input type="submit" value="send!">
    </form>
  </div>
</template>
<script>
export default {

  methods: {
    sendPostcard() {
      // Get the username and password from the form
      let name = document.getElementById("name").value;
      let email = document.getElementById("email").value;
      let credentials = {address: { name: name, email: email }};
      let date = new Date();
      credentials.date = date.toDateString();


      // Get image from canvas
      let canvas = document.getElementById("postcard-canvas");
      let image = canvas.toDataURL("image/png").split(';base64,')[1];
      credentials.imageData = image;
      credentials.uid = "12345";

      this.$store
        .dispatch("sendPostcard", credentials)
        .then((message) => {
          console.log(message);
        }, error => {
          console.log(error);
        })
    },
  },
};
</script>
